<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

include "inc/header.inc.php";

//ACS check
if (!$user_acs->checkPermission($c_acs['arr_acs']['resource']['shoutbox'], $c_acs['arr_acs']['privilege']['allow_access'])) { //resourece_id, Priv_id
	header("Location: " . $_SESSION['s_homepage'] . "?" . SID);
	exit;
}


if (isset($_POST['insert_shout'])) {
	$shout->user_id = $me['user_id'];
	$shout->insertShout($data);
	
	if (empty($GLOBALS['am_error_log'])) {
		//setup statistics
		require_once($c_node['dir']['class_path'] . 'Statistic.class.php');
		$statistic = new Statistic($db, $c_node['arr_section']['user'], $date);
		$statistic->section_item_id = $me['user_id'];
		$statistic->user_id = $me['user_id'];
		//update stats
		$total = $shout->getShouts();
		$total = count($total);
		
		$statistic->statistic_type_id = $c_node['statistic']['user']['total_shouts'];
		$statistic->setStatistic($total);
			
		return header("Location: sho_list.php?" . SID);	
		exit;
	}
		
	
	
	
}

$shout->limit=25;
unset($shout->user_id);
$output_shouts = $shout->getShouts();


//move to template
if (!empty($output_shouts)) {
    $body->set('shouts', $output_shouts);
}

include "inc/footer.inc.php";
?>
